Sidef::Types::Set::Bag(3)

NAME
Sidef::Types::Set::Bag

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Bag(...)

INHERITS
Inherits methods from:

       * Sidef::Types::Set::Set

METHODS

  &
    a & b

Returns the

Aliases: ∩, and, intersection

  +
    a + b

Returns the

Aliases: concat

  -
    a - b

Returns the

Aliases: ∖, sub, diff, difference

  ...
    a ... b

Returns the

Aliases: to_list

  <<
    a << b

Returns the

Aliases: add, push, append

  ^
    a ^ b

Returns the

Aliases: xor, symdiff, symmetric_difference

  |
    a | b

Returns the

Aliases: ∪, or, union

  ∋
    a ∋ b

Returns the

Aliases: has, exists, has_key, haskey, contain, include, contains, includes

  ∌
    a ∌ b

Returns the

  ≠
    a ≠ b

Returns the

Aliases: !=, ne

  ≡
    a ≡ b

Returns the

Aliases: ==, eq

  ≤
    a ≤ b

Returns the

Aliases: ⊆, <=, is_subset

  ≥
    a ≥ b

Returns the

Aliases: ⊇, >=, is_superset

  add_kv
    Bag.add_kv()

Returns the

Aliases: push_kv, add_pair, append_kv, push_pair, append_pair

  add_kvs
    Bag.add_kvs()

Returns the

Aliases: push_kvs, add_pairs, append_kvs, push_pairs, append_pairs

  clone
    Bag.clone()

Returns the

  collect
    Bag.collect()

Returns the

  contains_all
    Bag.contains_all()

Returns the

  count_by
    Bag.count_by()

Returns the

  delete
    Bag.delete()

Returns the

Aliases: remove, discard

  delete_all
    Bag.delete_all()

Returns the

Aliases: remove_all, discard_all

  delete_first_if
    Bag.delete_first_if()

Returns the

  delete_if
    Bag.delete_if()

Returns the

  delete_key
    Bag.delete_key()

Returns the

Aliases: remove_key, discard_key

  dump
    Bag.dump()

Returns the

  each
    Bag.each()

Returns the

  each_2d
    Bag.each_2d()

Returns the

  each_kv
    Bag.each_kv()

Returns the

  elems
    Bag.elems()

Returns the

Aliases: keys_len

  freq
    Bag.freq()

Returns the

  get
    Bag.get()

Returns the

Aliases: count

  grep
    Bag.grep()

Returns the

Aliases: select

  grep_2d
    Bag.grep_2d()

Returns the

  grep_kv
    Bag.grep_kv()

Returns the

  iter
    Bag.iter()

Returns the

  join
    Bag.join()

Returns the

  keys
    Bag.keys()

Returns the

  kv
    Bag.kv()

Returns the

Aliases: pairs

  len
    Bag.len()

Returns the

Aliases: size, length

  map
    Bag.map()

Returns the

  map_2d
    Bag.map_2d()

Returns the

  map_kv
    Bag.map_kv()

Returns the

  max
    Bag.max()

Returns the

  max_by
    Bag.max_by()

Returns the

  min
    Bag.min()

Returns the

  min_by
    Bag.min_by()

Returns the

  new
    Bag.new()

Returns the

Aliases: call

  pop
    Bag.pop()

Returns the

  set_kv
    Bag.set_kv()

Returns the

Aliases: update_kv, update_pair, replace_pair

  set_kvs
    Bag.set_kvs()

Returns the

Aliases: update_kvs, update_pairs, replace_pairs

  shift
    Bag.shift()

Returns the

  sort
    Bag.sort()

Returns the

  sort_by
    Bag.sort_by()

Returns the

  to_a
    Bag.to_a()

Returns the

Aliases: expand, to_array

  to_bag
    Bag.to_bag()

Returns the

  top
    Bag.top()

Returns the

Aliases: most_common

  to_set
    Bag.to_set()

Returns the

  uniq
    Bag.uniq()

Returns the

Aliases: unique

  values
    Bag.values()

Returns the